package com.crm.pay.dto.finance.withdraw.automatic;

import com.alibaba.fastjson.annotation.JSONField;
import lombok.Data;

import java.math.BigDecimal;
import java.util.LinkedHashMap;
import java.util.Map;

@Data
public class FinanceWithdrawOfaDto extends FinanceWithdrawDto {

    private Map<String, String> params;
    private Map<String, String> paramsEn;


    private String ps;

    @JSONField(ordinal = 1)
    private BigDecimal money;
    @JSONField(ordinal = 10)
    private String bankname;
    @JSONField(ordinal = 20)
    private String accountno;
    @JSONField(ordinal = 30)
    private String accountname;
    @JSONField(ordinal = 40)
    private String bankno;


    private Map<String, String> banknameSelect;
    private Map<String, String> banknoSelect;


    public FinanceWithdrawOfaDto() {

        params = new LinkedHashMap<>();

        paramsEn = new LinkedHashMap<>();
        params.put("money", "金额");
        params.put("bankname", "银行名称");
        params.put("accountno", "银行卡号");
        params.put("accountname", "持卡人姓名");
        params.put("bankno", "银行编号");


        paramsEn.put("money", "money");
        paramsEn.put("bankname", "bank name");
        paramsEn.put("accountno", "account no");
        paramsEn.put("accountname", "account name");
        paramsEn.put("bankno", "bank no");
    }
}
